org.scalatest.matchers.Matchers

# ContainWord

#### class ContainWord extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ContainWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ContainWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply [T] (expectedElement: T): Matcher[Traversable[T]]

   This method enables the following syntax:

   This method enables the following syntax:

       Array(1, 2) should (contain (2) and contain (1))
                                   ^

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def key [K] (expectedKey: K): Matcher[Map[K, Any]]

    This method enables the following syntax:

    This method enables the following syntax:

        map should (contain key ("fifty five") or contain key ("twenty two"))
                            ^

    The map's value type parameter cannot be inferred because only a key type is provided in an expression like `(contain key ("fifty five"))`. The matcher returned by this method matches `scala.collection.Map`s with the inferred key type and value type `Any`. Given `Map` is covariant in its value type, and `Matcher` is contravariant in its type parameter, a `Matcher[Map[Int, Any]]`, for example, is a subtype of `Matcher[Map[Int, String]]`. This will enable the matcher returned by this method to be used against any `Map` that has the inferred key type.

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def toString (): String

    Definition Classes
      AnyRef → Any

21. #### def value [V] (expectedValue: V): Matcher[scala.collection.Map[_, V]]

    This method enables the following syntax:

    This method enables the following syntax:

        Map("one" -> 1, "two" -> 2) should (not contain value (5) and not contain value (3))
                                                        ^

    The map's key type parameter cannot be inferred because only a value type is provided in an expression like `(contain value (5))`. The matcher returned by this method matches `scala.collection.Map`s with the inferred value type and the existential key type `[K] forSome { type K }`. Even though `Matcher` is contravariant in its type parameter, because `Map` is nonvariant in its key type, a `Matcher[Map[Any, Int]]`, for example, is not a subtype of `Matcher[Map[String, Int]]`, so the key type parameter of the `Map` returned by this method cannot be `Any`. By making it an existential type, the Scala compiler will not infer it to anything more specific. This will enable the matcher returned by this method to be used against any `Map` that has the inferred value type.

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any